summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author core <eroc@linuxmail.org>2010-05-11 20:00:23 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:23 +0200
commit1577dce6c00b6797d4cee3b77f5540b1d8528388 (patch)
tree569c60b3d7004ab7ad2c5b7f5313e5db5c45bbce /development
parent6503b265d62bb9198e16fb767a97c877ac070bda (diff)
downloadslackbuilds-1577dce6c00b6797d4cee3b77f5540b1d8528388.tar.gz
slackbuilds-1577dce6c00b6797d4cee3b77f5540b1d8528388.tar.xz
development/eclipse: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/eclipse/README6
-rw-r--r--development/eclipse/doinst.sh9
-rw-r--r--development/eclipse/eclipse3
-rw-r--r--development/eclipse/eclipse.SlackBuild66
-rw-r--r--development/eclipse/eclipse.desktop10
-rw-r--r--development/eclipse/eclipse.info8
-rw-r--r--development/eclipse/slack-desc19
7 files changed, 121 insertions, 0 deletions
diff --git a/development/eclipse/README b/development/eclipse/README
new file mode 100644
index 0000000000..283a25b657
--- /dev/null
+++ b/development/eclipse/README
@@ -0,0 +1,6 @@
+Eclipse - An open-source, platform-independent software framework.
+
+Eclipse is an open source community whose projects are focused on
+building an open development platform comprised of extensible
+frameworks, tools and runtimes for building, deploying, and managing
+software across the lifecycle.
diff --git a/development/eclipse/doinst.sh b/development/eclipse/doinst.sh
new file mode 100644
index 0000000000..4557defa56
--- /dev/null
+++ b/development/eclipse/doinst.sh
@@ -0,0 +1,9 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x usr/bin/update-mime-database ]; then
+ usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/development/eclipse/eclipse b/development/eclipse/eclipse
new file mode 100644
index 0000000000..2d787581cd
--- /dev/null
+++ b/development/eclipse/eclipse
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /opt/eclipse
+./eclipse
diff --git a/development/eclipse/eclipse.SlackBuild b/development/eclipse/eclipse.SlackBuild
new file mode 100644
index 0000000000..1b0ba66d3d
--- /dev/null
+++ b/development/eclipse/eclipse.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for eclipse
+# Written by core (eroc@linuxmail.org)
+
+# This script is just a binary repackaging.
+
+set -e
+
+PRGNAM=eclipse
+VERSION=3.3
+ARCH=i586 # Leave this alone.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk.tar.gz
+
+# Binary directory is "eclipse" so rename it
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Move the binary directory to $PKG/opt
+mkdir -p $PKG/opt
+mv $TMP/$PRGNAM-$VERSION $PKG/opt
+( cd $PKG/opt ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+# Add a script to run eclipse in /usr/bin
+mkdir -p $PKG/usr/bin
+cat $CWD/eclipse > $PKG/usr/bin/eclipse
+chmod 0755 $PKG/usr/bin/eclipse
+
+# Add an icon for eclipse
+mkdir -p $PKG/usr/share/pixmaps
+( cd $PKG/usr/share/pixmaps ; ln -s /opt/$PRGNAM-$VERSION/icon.xpm eclipse.xpm )
+
+# Add eclipse to KDE/GNOME/XFCE menu
+mkdir -p $PKG/usr/share/applications
+cat $CWD/eclipse.desktop > $PKG/usr/share/applications/eclipse.desktop
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/$PRGNAM-$VERSION
+cp -a epl-v10.html notice.html readme/readme_eclipse.html about.html \
+ about_files $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/eclipse/eclipse.desktop b/development/eclipse/eclipse.desktop
new file mode 100644
index 0000000000..2ddeddbb27
--- /dev/null
+++ b/development/eclipse/eclipse.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Exec=eclipse
+Name=Eclipse
+GenericName=Eclipse SDK
+Comment=Eclipse Classic
+Icon=eclipse
+StartupNotify=true
+Categories=Qt;KDE;Development;GNOME;Application;Development;
diff --git a/development/eclipse/eclipse.info b/development/eclipse/eclipse.info
new file mode 100644
index 0000000000..2a4689923f
--- /dev/null
+++ b/development/eclipse/eclipse.info
@@ -0,0 +1,8 @@
+PRGNAM="eclipse"
+VERSION="3.3"
+HOMEPAGE="http://www.eclipse.org"
+DOWNLOAD="http://mirrors.ibiblio.org/pub/mirrors/eclipse/eclipse/downloads/drops/R-3.3-200706251500/eclipse-SDK-3.3-linux-gtk.tar.gz"
+MD5SUM="ea20ed4397b27a6486f8aa2c30570417"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="rworkman"
diff --git a/development/eclipse/slack-desc b/development/eclipse/slack-desc
new file mode 100644
index 0000000000..10b4a81675
--- /dev/null
+++ b/development/eclipse/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+eclipse: Eclipse (An open-source, platform-independent software framework)
+eclipse:
+eclipse: Eclipse is an open source community whose projects are focused on
+eclipse: building an open development platform comprised of extensible
+eclipse: frameworks, tools and runtimes for building, deploying and managing
+eclipse: software across the lifecycle.
+eclipse:
+eclipse: Homepage: http://www.eclipse.org
+eclipse:
+eclipse:
+eclipse: